EvoPay
GET/user/infractions/Bearer

Listar infrações

Lista todas as infrações da conta com paginação e filtros.

Headers

AuthorizationBearer <seu_token>

Parâmetros

NomeInTipoDescrição
pagequeryinteger–
limitqueryinteger–
sortByquery"createdAt" | "updatedAt"–
sortDirectionquery"asc" | "desc"–
idquerystring–
protocolquerystring–
endToEndIdquerystring–
transactionIdquerystring–
amountMinquerynumber–
amountMaxquerynumber–
statusqueryInfractionStatus[]–
typequeryInfractionType[]–
analysisResultqueryAnalysisResult[]–
reportedByqueryReportedType[]–
participantDocumentquerystring–
participantNamequerystring–
reportDetailsquerystring–
analysisDetailsquerystring–
reportedAtFromquerystring–
reportedAtToquerystring–
createdAtFromquerystring–
createdAtToquerystring–
expiresAtFromquerystring–
expiresAtToquerystring–
updatedAtFromquerystring–
updatedAtToquerystring–

Respostas

Lista paginada de infrações

CampoTipoDescrição
infractions
Infraction[]—
pagination
object—

Exemplos

curl "https://api.evopay.cash/v1/user/infractions/?page=1&limit=10&sortBy=createdAt&sortDirection=asc&id=exemplo&protocol=exemplo&endToEndId=exemplo&transactionId=exemplo&amountMin=100&amountMax=100&status=exemplo&type=exemplo&analysisResult=exemplo&reportedBy=exemplo&participantDocument=exemplo&participantName=exemplo&reportDetails=exemplo&analysisDetails=exemplo&reportedAtFrom=2024-01-01T00%3A00%3A00.000Z&reportedAtTo=2024-01-01T00%3A00%3A00.000Z&createdAtFrom=2024-01-01T00%3A00%3A00.000Z&createdAtTo=2024-01-01T00%3A00%3A00.000Z&expiresAtFrom=2024-01-01T00%3A00%3A00.000Z&expiresAtTo=2024-01-01T00%3A00%3A00.000Z&updatedAtFrom=2024-01-01T00%3A00%3A00.000Z&updatedAtTo=2024-01-01T00%3A00%3A00.000Z" \
  -H "Authorization: Bearer <seu_token>"
EvoPay API Documentation